Name: x11-font-encodings
Version: 1.0.6
Release: %mkrel 1
Summary: Xorg X11 font encodings
Group: Development/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/font/encodings-%{version}.tar.xz
License: Public Domain
BuildArch: noarch

BuildRequires: x11-font-util	>= 1.0.1
BuildRequires: x11-util-macros	>= 1.1.5

Conflicts: xorg-x11-xfs <= 6.9.0
Requires(pre): mkfontdir

%description
This package contains the encodings that map to specific characters.

%prep
%setup -q -n encodings-%{version}

%build
# to recognize aarch64
autoreconf -vfi

./configure --prefix=/usr \
            --x-includes=%{_includedir} \
            --x-libraries=%{_libdir} \
	    --with-encodingsdir=%{_datadir}/fonts/encodings

%make_build

%install
%make_install

%post
mkfontdir -n -e /usr/share/fonts/encodings /usr/share/fonts/encodings

%postun
mkfontdir -n -e /usr/share/fonts/encodings /usr/share/fonts/encodings

%files
%dir %{_datadir}/fonts/encodings
%{_datadir}/fonts/encodings/*




%changelog
* Thu Jul 21 2022 tv <tv> 1.0.6-1.mga9
+ Revision: 1869793
- 1.0.6

* Tue Mar 22 2022 umeabot <umeabot> 1.0.5-3.mga9
+ Revision: 1819477
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 1.0.5-2.mga8
+ Revision: 1526844
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Jul 03 2019 tv <tv> 1.0.5-1.mga8
+ Revision: 1417966
- new release

* Fri Sep 21 2018 umeabot <umeabot> 1.0.4-8.mga7
+ Revision: 1292149
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 1.0.4-7.mga7
+ Revision: 1233840
- fix build on aarch64

* Mon Feb 08 2016 umeabot <umeabot> 1.0.4-6.mga6
+ Revision: 943548
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-5.mga5
+ Revision: 742229
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-4.mga5
+ Revision: 690503
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.4-3.mga4
+ Revision: 520321
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 386238
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 11 2011 dmorgan <dmorgan> 1.0.4-1.mga3
+ Revision: 5631
- imported package x11-font-encodings

